import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Bctdav {
    
    @observable
    ownref=""           // \bcdgrp\rec\ownref    Our Reference 

    @observable
    usr_nam=""           // \bctp\\sysmod\usr\nam    用户ID 

    @observable
    resflg=""           // \bcdgrp\rec\resflg    Reserved Contract 

    @observable
    dftgarflg=""           // \bcdgrp\rec\dftgarflg    Draft to be Guaranteed 

    @observable
    max_cur=""           // \bcdgrp\cbs\max\cur    Currency 

    @observable
    max_amt=""           // \bcdgrp\cbs\max\amt    Balance 

    @observable
    opn1_cur=""           // \bcdgrp\cbs\opn1\cur    Currency 

    @observable
    opn1_amt=""           // \bcdgrp\cbs\opn1\amt    Balance 

    @observable
    rcvdat=""           // \bcdgrp\rec\rcvdat    Date Documents Received 

    @observable
    predat=""           // \bcdgrp\rec\predat    Presentation Date 

    @observable
    advdat=""           // \bcdgrp\rec\advdat    Date of Advice of Documents Received 

    @observable
    oridre=""           // \bcdgrp\rec\oridre    Send Original Documents to Drawee 

    @observable
    doctypcod=""           // \bcdgrp\rec\doctypcod    Collection Condition 

    @observable
    matdat=""           // \bcdgrp\rec\matdat    Maturity Date 

    @observable
    matpercnt=""           // \bcdgrp\rec\matpercnt    Number of Days/Months for Maturity Period 

    @observable
    matpertyp=""           // \bcdgrp\rec\matpertyp    Days/Months or Years for Maturity Period 

    @observable
    matperbeg=""           // \bcdgrp\rec\matperbeg    Start of Maturity Period MATBEG 

    @observable
    blk_bcgdet=""           // \bcdgrp\blk\bcgdet    BC Tenor Details 

    @observable
    blk_bcgdetflg=""           // \bcdgrp\blk\bcgdetflg    BC Tenor Details modified 

    @observable
    docgrdm_docdsclab=""           // \bctp\docgrdm\docdsclab    Label of document description 

    @observable
    pts_ref=""           // \bcdgrp\dre\pts\ref    参考号 

    @observable
    pts_extkey=""           // \bcdgrp\dre\pts\extkey    客户编号 

    @observable
    pts_adrblk=""           // \bcdgrp\dre\pts\adrblk    SWIFT地址 

    @observable
    pts2_ref=""           // \bcdgrp\rmi\pts\ref    参考号 

    @observable
    pts2_extkey=""           // \bcdgrp\rmi\pts\extkey    客户编号 

    @observable
    pts2_adrblk=""           // \bcdgrp\rmi\pts\adrblk    SWIFT地址 

    @observable
    pts1_ref=""           // \bcdgrp\drr\pts\ref    参考号 

    @observable
    pts1_extkey=""           // \bcdgrp\drr\pts\extkey    客户编号 

    @observable
    pts1_adrblk=""           // \bcdgrp\drr\pts\adrblk    SWIFT地址 

    @observable
    stacty=""           // \bcdgrp\rec\stacty    Country Code Risk Country 

    @observable
    nam=""           // \bcdgrp\rec\nam    Externally Displayed Name to Identify the Contract 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.ownref=""
            this.usr_nam=""
            this.resflg=""
            this.dftgarflg=""
            this.max_cur=""
            this.max_amt=""
            this.opn1_cur=""
            this.opn1_amt=""
            this.rcvdat=""
            this.predat=""
            this.advdat=""
            this.oridre=""
            this.doctypcod=""
            this.matdat=""
            this.matpercnt=""
            this.matpertyp=""
            this.matperbeg=""
            this.blk_bcgdet=""
            this.blk_bcgdetflg=""
            this.docgrdm_docdsclab=""
            this.pts_ref=""
            this.pts_extkey=""
            this.pts_adrblk=""
            this.pts2_ref=""
            this.pts2_extkey=""
            this.pts2_adrblk=""
            this.pts1_ref=""
            this.pts1_extkey=""
            this.pts1_adrblk=""
            this.stacty=""
            this.nam=""
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_doccur=""
            this.setmod_docamt=""
            this.setmod_feemac=""
            this.setmod_setmac=""
            this.glemod_glelst=[]
            this.docmod_doclst=[]
            this.trndoc_docpth=""
            this.trndoc_doccod=""
            this.trndoc_cortyp=""
            this.spt_inr=""
    }

} 


export default Bctdav