/***
 * 
 * 第一个 
 * 
***/

import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem,TextAreaItem, BottomBtn,
	InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, ConfirmButton, Steps
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Popconfirm, Modal ,Spin} from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Ptspta1 from '@/views/Public/Ptspta1'
import Business from '@/views/Public/Business'

const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm
  
@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class OvwpScreen extends Page {
	@observable
	formBlur = false

	constructor(props) {
		super(props)
		this.model = props.model
    this.bind = Bind.bind(this)
	}


	async componentWillMount(){
		
	}

	//交易内实现
	renderPage() {
		const bind = this.bind
    const { i18n } = this.props
    const docsta = [
      { label: `拒付留单`, value: `WAIT` },
      { label: `接受不符点`, value: `AGRE` },
      { label: `拒付退单`, value: `BACK` },
      { label: `按指示处理`, value: `INST` },
    ]
		//const {next,pre} = this.props.steps
		if(this.props.flag==true){
			return <Spin style={{width:"100%", justifyContent:"center"}} spinning={this.props.flag} />
		}
		return (
			<div style={{ position: 'relative' }}>
         <Business  wrappedComponentRef={ref => (this.com = ref)} page={this} steps={this.props.steps} extra={this.props.extra}  model={this.model} />

				<Row>
          <Col span={12}>
						<Row className="row">
              <Col span={5} offset={2}>
								<Label itext="业务编号" trn="bmtdcr" />
              </Col>
              <Col span={14}>
                <InputItem InputProps={bind("ownref1")}  maxLength={20}  desp="业务编号" path="/dedgrp/rec/ownref" disabled={true} />
              </Col>
            </Row>
          </Col>
          <Col span={12}>
						<Row className="row">
              <Col span={5} offset={2}>
								<Label itext="信用证编号" trn="bmtdcr" />
              </Col>
              <Col span={14}>
                <InputItem InputProps={bind("lcref")}  maxLength={35}  desp="信用证编号" path="/dedgrp/rec/lcref" disabled={true} />
              </Col>
            </Row>
          </Col>
        </Row>

				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="信用证金额" trn="bmtdcr" />
							</Col>
							<Col span={5}>
                <SelectItem InputProps={bind("max1_cur")} code={CodeTable.curtxt}  desp="Currency" path="/dedgrp/cbs/max/cur" disabled={true}/>
							</Col>
							<Col span={7} offset={2}>
								<InputItem   InputProps={ {...bind("max1_amt"), type:"amount", cur:this.model.max1_cur} } disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
              <Col span={5} offset={2}>
								<Label itext="受益人" trn="bmtdcr" />
              </Col>
              <Col span={14}>
                <InputItem InputProps={bind("pts15_namcn")}  maxLength={100}  desp="客户中文名称" path="/dedgrp/ben/pts/namcn" disabled={true} />
              </Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={12}>
						<Row className="row">
              <Col span={5} offset={2}>
								<Label itext="信用证余额" trn="bmtdcr" />
							</Col>
							<Col span={5}>
                <SelectItem InputProps={bind("opn1_cur")} code={CodeTable.curtxt}  desp="Currency" path="/dedgrp/cbs/opn1/cur" disabled={true}/>
							</Col>
							<Col span={7} offset={2}>
								<InputItem   InputProps={ {...bind("opn1_amt"), type:"amount", cur:this.model.opn1_cur} } disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="申请人" trn="bmtdcr" />
							</Col>
							<Col span={14}>
                <InputItem InputProps={bind("pts14_namcn")}  maxLength={100}  desp="客户中文名称" path="/dedgrp/apl/pts/namcn" disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={12}>
            <Row className="row">
              <Col span={5} offset={2}>
								<Label itext="单据金额" trn="bmtdcr" />
							</Col>
							<Col span={5}>
                <SelectItem InputProps={bind("max_cur")} code={CodeTable.curtxt} disabled={true}/>
							</Col>
							<Col span={7} offset={2}>
								<InputItem   InputProps={ {...bind("max_amt"), type:"amount", cur:this.model.opn1_cur} } disabled={true} />
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="开证行" trn="bmtdcr" />	
							</Col>
							<Col span={14}>
                <InputItem InputProps={bind("pts16_namcn")}  maxLength={100}  desp="客户中文名称" path="/dedgrp/iss/pts/namcn" disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>

        <Row>
          <Col span={12}>
            <Row className="row">
              <Col span={5} offset={2}>
								<Label itext="寄单索偿金额" trn="bmtdcr" />
							</Col>
							<Col span={5}>
                <SelectItem InputProps={bind("totcur")} code={CodeTable.curtxt} disabled={true}/>
							</Col>
							<Col span={7} offset={2}>
								<InputItem   InputProps={ {...bind("totamt"), type:"amount", cur:this.model.totcur} } disabled={true} />
							</Col>
						</Row>
          </Col>
          <Col span={12}>
            <Row className="row">
							<Col span={5} offset={2}>
								<Label itext="信用证兑付方式" trn="bmtdcr" />
							</Col>
							<Col span={14}>
                <SelectItem InputProps={bind("avbby")} code={CodeTable.avbby} disabled={true}/>
							</Col>
						</Row>
          </Col>
        </Row>

				<Row>
					<Col span={12}>
            <Row className="row">
              <Col span={5} offset={2}>
                <Label itext="有效日期" trn="bmtdcr" />
              </Col>
              <Col span={14}>
                <DatePickerItem InputProps={bind("expdat")} disabled={true}/>
              </Col>
            </Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="有效地点" trn="bmtdcr" />
							</Col>
							<Col span={14}>
                <InputItem InputProps={bind("expplc")}  maxLength={100} disabled={true} />
							</Col>
						</Row>
					</Col>
				</Row>

        <Row>
          <Col span={12}>
            <Col span={24}>
              <Row className="row">
                <Col span={5} offset={2}>
                  <Label itext="开立日期" trn="bmtdcr" />
                </Col>
                <Col span={14}>
                  <DatePickerItem InputProps={bind("opndat")} disabled={true}/>
                </Col>
              </Row>
            </Col>
            <Col span={24}>
              <Row className="row">
                <Col span={5} offset={2}>
                  <Label itext="寄单索款编号" trn="bmtdcr" />
                </Col>
                <Col span={14}>
                  <InputItem InputProps={bind("ownref")}  maxLength={16} disabled={true} />
                </Col>
              </Row>
            </Col>
            <Col span={24}>
              <Row className="row">
                <Col span={5} offset={2}>
                  <Label itext="到单编号" trn="bmtdcr" />
                </Col>
                <Col span={14}>
                  <InputItem InputProps={bind("docref")}  maxLength={16} disabled={true} />
                </Col>
              </Row>
            </Col>
          </Col>
          <Col span={12}>
            <Ptspta1 model={this.model} argArr={{ desc: "交单行", prefix: 'pts9', url: 'bmtdcr/frep_ptysel', flg: 'B', datakey: '\\bmtp\\frep\\ptslst' }}  />
          </Col>
        </Row>

				<Row>
					<Col span={12}>
						<Col span={24}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="单据状态" trn="bmtdcr" />
								</Col>
								<Col span={14}>
                  <SelectItem InputProps={bind("docsta")} code={docsta} disabled={true}/>
								</Col>
							</Row>
						</Col>
						<Col span={24}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="退单日期" trn="bmtdcr" />
								</Col>
								<Col span={14}>
									<DatePickerItem InputProps={bind("rtndat")} disabled={true} />
								</Col>
							</Row>
						</Col>
						<Col span={24}>
							<Row className="row">
								<Col span={5} offset={2}>
									<Label itext="退单快递单号" trn="bmtdcr" />
								</Col>
								<Col span={14}>
									<InputItem InputProps={bind("rtntranum")}  maxLength={60} disabled={true} />
								</Col>
							</Row>
						</Col>
					</Col>
					<Col span={12}>
            <Row className="row">
              <Ptspta1 model={this.model} argArr={{ desc: "退单行", prefix: 'pts11', url: 'bmtdcr/othp_ptysel', flg: 'B', datakey: '\\bmtp\\othp\\ptslst' }}  />
						</Row>
					</Col>
				</Row>

        <Row>
          <Col span={12}>
            <Row className="row">
              <Col span={5} offset={2}>
                <Label itext="拒付声明" trn="bmtdcr" />
              </Col>
              <Col span={14}>
                <InputItem InputProps={bind("rejsum")} disabled={true} />
              </Col>
            </Row>
          </Col>
        </Row>

        <Row>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="不符点" trn="bmtdrj" />
							</Col>
						</Row>
						<Row className="row">
							<Col span={19} offset={2}>
								<TextAreaItem InputProps={bind("docdis")} rows={8} style={{ resize: "none" }}/>
							</Col>
						</Row>
					</Col>
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="备注" trn="bmtdrj" />
							</Col>
						</Row>
						<Row className="row">
							<Col span={19} offset={2}>
								<TextAreaItem InputProps={bind("rejrmk")} rows={8} style={{ resize: "none" }}/>
							</Col>
						</Row>
					</Col>
				</Row>
				
				{/* 底部按钮 */}
        <BottomBtn _this={this} />
			</div >
		)
	}
}
