import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Botdav {
    
    @observable
    ownref=""           // \bodgrp\rec\ownref    Our Reference 

    @observable
    nam=""           // \bodgrp\rec\nam    Externally Displayed Name to Identify the Contract 

    @observable
    usr_nam=""           // \botp\\sysmod\usr\nam    用户ID 

    @observable
    dircolflg=""           // \bodgrp\rec\dircolflg    Direct Collection 

    @observable
    max_cur=""           // \bodgrp\cbs\max\cur    Currency 

    @observable
    max_amt=""           // \bodgrp\cbs\max\amt    Balance 

    @observable
    resflg=""           // \bodgrp\rec\resflg    Reservated Contract 

    @observable
    opn1_cur=""           // \bodgrp\cbs\opn1\cur    Currency 

    @observable
    opn1_amt=""           // \bodgrp\cbs\opn1\amt    Balance 

    @observable
    rcvdat=""           // \bodgrp\rec\rcvdat    Date of Receipt of Documents 

    @observable
    shpdat=""           // \bodgrp\rec\shpdat    Date of Shipment 

    @observable
    predat=""           // \bodgrp\rec\predat    Presentation Date 

    @observable
    advdat=""           // \bodgrp\rec\advdat    Date of Advice of Documents Received 

    @observable
    doctypcod=""           // \bodgrp\rec\doctypcod    Collection Condition 

    @observable
    matdat=""           // \bodgrp\rec\matdat    Maturity Date 

    @observable
    matpercnt=""           // \bodgrp\rec\matpercnt    Number of Days/Months for Maturity Period 

    @observable
    matperbeg=""           // \bodgrp\rec\matperbeg    Start of Maturity Period MATBEG 

    @observable
    blk_bogdet=""           // \bodgrp\blk\bogdet    BO Tenor Details 

    @observable
    docgrdm_docdsclab=""           // \botp\docgrdm\docdsclab    Label of document description 

    @observable
    pts2_ref=""           // \bodgrp\drr\pts\ref    参考号 

    @observable
    pts2_extkey=""           // \bodgrp\drr\pts\extkey    客户编号 

    @observable
    pts2_adrblk=""           // \bodgrp\drr\pts\adrblk    SWIFT地址 

    @observable
    pts_ref=""           // \bodgrp\col\pts\ref    参考号 

    @observable
    pts_extkey=""           // \bodgrp\col\pts\extkey    客户编号 

    @observable
    pts_adrblk=""           // \bodgrp\col\pts\adrblk    SWIFT地址 

    @observable
    pts1_ref=""           // \bodgrp\dre\pts\ref    参考号 

    @observable
    pts1_extkey=""           // \bodgrp\dre\pts\extkey    客户编号 

    @observable
    pts1_adrblk=""           // \bodgrp\dre\pts\adrblk    SWIFT地址 

    @observable
    stacty=""           // \bodgrp\rec\stacty    Country Code Risk Country! 

    @observable
    stagod=""           // \bodgrp\rec\stagod    Goods Code 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.ownref=""
            this.nam=""
            this.usr_nam=""
            this.dircolflg=""
            this.max_cur=""
            this.max_amt=""
            this.resflg=""
            this.opn1_cur=""
            this.opn1_amt=""
            this.rcvdat=""
            this.shpdat=""
            this.predat=""
            this.advdat=""
            this.doctypcod=""
            this.matdat=""
            this.matpercnt=""
            this.matperbeg=""
            this.blk_bogdet=""
            this.docgrdm_docdsclab=""
            this.pts2_ref=""
            this.pts2_extkey=""
            this.pts2_adrblk=""
            this.pts_ref=""
            this.pts_extkey=""
            this.pts_adrblk=""
            this.pts1_ref=""
            this.pts1_extkey=""
            this.pts1_adrblk=""
            this.stacty=""
            this.stagod=""
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_doccur=""
            this.setmod_docamt=""
            this.setmod_feemac=""
            this.setmod_setmac=""
            this.glemod_glelst=[]
            this.docmod_doclst=[]
            this.trndoc_docpth=""
            this.trndoc_doccod=""
            this.trndoc_cortyp=""
            this.spt_inr=""
    }

} 


export default Botdav