import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Dbausr {
    
    @observable
    bchkey=""           // \usrgrp\rec\bchkey    归属机构编号 

    @observable
    bchnam=""           // \usrgrp\rec\bchnam    归属机构中文名称 

    @observable
    bustsd=""           // \usrgrp\rec\bustsd    积分阈值 

    @observable
    credat=""           // \usrgrp\rec\credat    注册日期 

    @observable
    dspnam=""           // \usrgrp\rec\dspnam    用户名称 

    @observable
    eml=""           // \usrgrp\rec\eml    电子邮件 

    @observable
    etaextkey=""           // \usrgrp\rec\etaextkey    实体地址 

    @observable
    ety=""           // \usrgrp\rec\ety    实体 

    @observable
    etyextkey=""           // \usrgrp\rec\etyextkey    实体关键字 

    @observable
    fax=""           // \usrgrp\rec\fax    传真 

    @observable
    inr=""           // \usrgrp\rec\inr    唯一编号 

    @observable
    lstdattim=""           // \usrgrp\rec\lstdattim    成功登录时间 

    @observable
    lstfltdattim=""           // \usrgrp\rec\lstfltdattim    上次登录失败时间 

    @observable
    nam=""           // \usrgrp\rec\nam    用户ID 

    @observable
    pri=""           // \usrgrp\rec\pri    实体标志 

    @observable
    pwd=""           // \usrgrp\rec\pwd    密码 

    @observable
    relamt=""           // \usrgrp\rec\relamt    允许最大授权金额 

    @observable
    relcur=""           // \usrgrp\rec\relcur    授权币种 

    @observable
    relgrp=""           // \usrgrp\rec\relgrp    授权组 

    @observable
    rmbrpt=""           // \usrgrp\rec\rmbrpt    归属机构人行支付行号 

    @observable
    ssninr=""           // \usrgrp\rec\ssninr    会话INR 

    @observable
    sta=""           // \usrgrp\rec\sta    用户状态 

    @observable
    tel=""           // \usrgrp\rec\tel    电话 

    @observable
    tsksta=""           // \usrgrp\rec\tsksta    分配状态 

    @observable
    ukey=""           // \usrgrp\rec\ukey    ukey的dc码 

    @observable
    usg=""           // \usrgrp\rec\usg    用户组 

    @observable
    usrlvl=""           // \usrgrp\rec\usrlvl    级别 

    @observable
    valdat=""           // \usrgrp\rec\valdat    密码过期日 

    @observable
    ver=""           // \usrgrp\rec\ver    版本号 

    @observable
    wrksta=""           // \usrgrp\rec\wrksta    工作在岗状态 

    @observable
    usrp_bchlst=[]           // \usrp\bchlst 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.bchkey=""
            this.bchnam=""
            this.bustsd=""
            this.credat=""
            this.dspnam=""
            this.eml=""
            this.etaextkey=""
            this.ety=""
            this.etyextkey=""
            this.fax=""
            this.inr=""
            this.lstdattim=""
            this.lstfltdattim=""
            this.nam=""
            this.pri=""
            this.pwd=""
            this.relamt=""
            this.relcur=""
            this.relgrp=""
            this.rmbrpt=""
            this.ssninr=""
            this.sta=""
            this.tel=""
            this.tsksta=""
            this.ukey=""
            this.usg=""
            this.usrlvl=""
            this.valdat=""
            this.ver=""
            this.wrksta=""
            this.usrp_bchlst=[]
    }

} 


export default Dbausr