//条款  


import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem, BottomBtn,
	InputItem, Input, Bind, SelectItem, Button,TextAreaItem, Label, DatePickerItem, Section, ConfirmButton, Steps
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Popconfirm, Modal ,Spin} from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Ptspta from '@/views/Public/Ptspta'
import Business from '@/views/Public/Business'

const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm
  
@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class TkpScreen extends Page {
	@observable
	formBlur = false

	constructor(props) {
		super(props)
		this.model = props.model
		this.bind = Bind.bind(this)
	}

	//交易内实现
	renderPage() {
		const bind = this.bind
		const { i18n } = this.props
		const { bchlevelLst } = this.props.extra
		//const {next,pre} = this.props.steps
		if(this.props.flag==true){
			return <Spin style={{width:"100%", justifyContent:"center"}} spinning={this.props.flag} />
		}
		return (
			<div style={{ position: 'relative' }}>
			  <Business  wrappedComponentRef={ref => (this.com = ref)} page={this} steps={this.props.steps}  extra={this.props.extra}  model={this.model} />
				{/* 第一行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={15} offset={2}>
                <Label itext="单据要求修改记录" trn="detame" />	
							</Col>
						</Row>
					</Col>
				</Row>
				{/* 第二行 */}
				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={16} offset={1}>
                <TextAreaItem InputProps={bind("lcrdocame1")} rows={8} style={{ resize: "none" }} desp="单据要求" path="/olddedgrp/rec/lcrdocame"/>
							</Col>
						</Row>
					</Col>
					
				</Row>
				{/* 第三行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={15} offset={2}>
                <Label itext="原单据要求" trn="detame" />		
							</Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={16} offset={1}>
                <TextAreaItem InputProps={bind("lcrdoc1")} rows={8} style={{ resize: "none" }} desp="单据要求" path="/olddedgrp/rec/lcrdoc" disabled={true}/>
							</Col>
						</Row>
					</Col>
				</Row>
			
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={15} offset={2}>
                <Label itext="新单据要求" trn="detame" />	
							</Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={16} offset={1}>
              <TextAreaItem InputProps={bind("lcrdoc")} rows={8} style={{ resize: "none" }}   formBlur={this.formBlur}/>	
              </Col>
						</Row>
					</Col>
				</Row>

				{/* 底部按钮 */}
        <BottomBtn _this={this} />
			</div >
		)
	}
}
