import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem, BottomBtn,
	InputItem, Input, Bind, SelectItem, Button,TextAreaItem, Label, DatePickerItem, Section, ConfirmButton, Steps
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Popconfirm, Modal ,Spin} from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Ptspta from '@/views/Public/Ptspta'
import Business from '@/views/Public/Business'

const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm

@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class DogpameScreen extends Page {
	@observable
	formBlur = false

	constructor(props) {
		super(props)
		this.model = props.model
		this.bind = Bind.bind(this)
	}

	//交易内实现
	renderPage() {
		const bind = this.bind
		const { i18n } = this.props
		const { bchlevelLst } = this.props.extra
		//const {next,pre} = this.props.steps
		if(this.props.flag==true){
			return <Spin style={{width:"100%", justifyContent:"center"}} spinning={this.props.flag} />
		}
		return (
			<div style={{ position: 'relative' }}>
         <Business  wrappedComponentRef={ref => (this.com = ref)} page={this} steps={this.props.steps} extra={this.props.extra}  model={this.model} />
				{/* 第一行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={7} offset={2}>
								{/* 货物/服务描述修改记录 */}
								<Label itext="货物/服务描述修改记录" trn="ditram" />
							</Col>
						
						</Row>
					</Col>
				</Row>
				{/* 第二行 */}
				<Row>
					<Col span={24}>
						<Row className="row">
							
						 <Col span={16} offset={1}>
						 <TextAreaItem rows={9}style={{ resize: "none" }} disabled={true} InputProps={bind("lcrgodame1")} desp="货物/服务描述修改记录" path="/olddidgrp/rec/lcrgodame"/>
							</Col>
						</Row>
					</Col>
					
				</Row>
				{/* 第三行 */}
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={7} offset={2}>
								{/* 原货物/服务描述 */}
								<Label itext="原货物/服务描述" trn="ditram" />			
							</Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={24}>
						<Row className="row">
							
						 <Col span={16} offset={1}>
						 <TextAreaItem rows={9}style={{ resize: "none" }}disabled={true}  InputProps={bind("lcrgod1")} desp="货物服务描述" path="/olddidgrp/rec/lcrgod"/>
							</Col>
						</Row>
					</Col>
					
				</Row>
			
				<Row>
					<Col span={12}>
						<Row className="row">
							<Col span={7} offset={2}>
								{/* 新货物/服务描述 */}
								<Label itext="新货物/服务描述" trn="ditram" />	
							</Col>
						</Row>
					</Col>
				</Row>

				<Row>
					<Col span={24}>
						<Row className="row">
							<Col span={16} offset={1}>
							<TextAreaItem rows={9}style={{ resize: "none" }} InputProps={bind("lcrgod")} desp="Description of Goods amendment" path="/didgrp/rec/lcrgod"/>
							</Col>
						</Row>
					</Col>
				</Row>
			
				{/* 底部按钮 */}
        <BottomBtn _this={this} />
			</div >
		)
	}
}
