import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Getopn {
    
    @observable
    gitp_drpreflglab=""           // \gitp\drpreflglab    Label for Type of Request 

    @observable
    ownref=""           // \gidgrp\rec\ownref    Reference 

    @observable
    nam=""           // \gidgrp\rec\nam    Externally Displayed Name to Identify the Contract 

    @observable
    usr_nam=""           // \gitp\\sysmod\usr\nam    用户ID 

    @observable
    resflg=""           // \gidgrp\rec\resflg    Reserved Contract 

    @observable
    max_cur=""           // \gidgrp\cbs\max\cur    Currency 

    @observable
    max_amt=""           // \gidgrp\cbs\max\amt    Balance 

    @observable
    opn1_cur=""           // \gidgrp\cbs\opn1\cur    Currency 

    @observable
    opn1_amt=""           // \gidgrp\cbs\opn1\amt    Balance 

    @observable
    aammod_addamtflg=""           // \gitp\aamp\aammod\addamtflg    Add. Amount 

    @observable
    gitp_drpreflg=""           // \gitp\drpreflg    Type of Request 

    @observable
    hndtyp=""           // \gidgrp\rec\hndtyp    Handling Type 

    @observable
    gartyp=""           // \gidgrp\rec\gartyp    Type of Undertaking 

    @observable
    blk_apprul=""           // \gidgrp\blk\apprul    Applicable Rules 

    @observable
    blk_apprultxt=""           // \gidgrp\blk\apprultxt    Specification of Applicable Rule 

    @observable
    giduil=""           // \gidgrp\rec\giduil    Guarantee Language 

    @observable
    gtxinr=""           // \gidgrp\rec\gtxinr    INR of Generating Text 

    @observable
    orddat=""           // \gidgrp\rec\orddat    Date of Customer's Order 

    @observable
    opndat=""           // \gidgrp\rec\opndat    Valid from 

    @observable
    expdat=""           // \gidgrp\rec\expdat    Valid until 

    @observable
    expflg=""           // \gidgrp\rec\expflg    Unlimited Guarantee 

    @observable
    liadat=""           // \gidgrp\rec\liadat    Liability until 

    @observable
    liaflg=""           // \gidgrp\rec\liaflg    Unlimited Liability 

    @observable
    oldref=""           // \gidgrp\rec\oldref    Old Reference 

    @observable
    pts1_ref=""           // \gidgrp\apl\pts\ref    参考号 

    @observable
    pts1_extkey=""           // \gidgrp\apl\pts\extkey    客户编号 

    @observable
    pts1_adrblk=""           // \gidgrp\apl\pts\adrblk    SWIFT地址 

    @observable
    pts2_ref=""           // \gidgrp\ben\pts\ref    参考号 

    @observable
    pts2_extkey=""           // \gidgrp\ben\pts\extkey    客户编号 

    @observable
    pts2_adrblk=""           // \gidgrp\ben\pts\adrblk    SWIFT地址 

    @observable
    pts4_extkey=""           // \gidgrp\iss\pts\extkey    客户编号 

    @observable
    pts4_adrblk=""           // \gidgrp\iss\pts\adrblk    SWIFT地址 

    @observable
    pts_extkey=""           // \gidgrp\adv\pts\extkey    客户编号 

    @observable
    pts_adrblk=""           // \gidgrp\adv\pts\adrblk    SWIFT地址 

    @observable
    pts_ref=""           // \gidgrp\adv\pts\ref    参考号 

    @observable
    pts4_ref=""           // \gidgrp\iss\pts\ref    参考号 

    @observable
    pts3_extkey=""           // \gidgrp\con\pts\extkey    客户编号 

    @observable
    pts3_adrblk=""           // \gidgrp\con\pts\adrblk    SWIFT地址 

    @observable
    pts3_ref=""           // \gidgrp\con\pts\ref    参考号 

    @observable
    gitp_gidtxtmodflg=""           // \gitp\gidtxtmodflg    Modify Guarantee Text 

    @observable
    blk_gidtxt=""           // \gidgrp\blk\gidtxt    Guarantee Text 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.gitp_drpreflglab=""
            this.ownref=""
            this.nam=""
            this.usr_nam=""
            this.resflg=""
            this.max_cur=""
            this.max_amt=""
            this.opn1_cur=""
            this.opn1_amt=""
            this.aammod_addamtflg=""
            this.gitp_drpreflg=""
            this.hndtyp=""
            this.gartyp=""
            this.blk_apprul=""
            this.blk_apprultxt=""
            this.giduil=""
            this.gtxinr=""
            this.orddat=""
            this.opndat=""
            this.expdat=""
            this.expflg=""
            this.liadat=""
            this.liaflg=""
            this.oldref=""
            this.pts1_ref=""
            this.pts1_extkey=""
            this.pts1_adrblk=""
            this.pts2_ref=""
            this.pts2_extkey=""
            this.pts2_adrblk=""
            this.pts4_extkey=""
            this.pts4_adrblk=""
            this.pts_extkey=""
            this.pts_adrblk=""
            this.pts_ref=""
            this.pts4_ref=""
            this.pts3_extkey=""
            this.pts3_adrblk=""
            this.pts3_ref=""
            this.gitp_gidtxtmodflg=""
            this.blk_gidtxt=""
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_doccur=""
            this.setmod_docamt=""
            this.setmod_feemac=""
            this.setmod_setmac=""
            this.glemod_glelst=[]
            this.docmod_doclst=[]
            this.trndoc_docpth=""
            this.trndoc_doccod=""
            this.trndoc_cortyp=""
            this.spt_inr=""
    }

} 


export default Getopn