import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,BottomBtn} from '@/components/Common-Library'
import Api from '@/service/api'
import mGitopn from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import { Row, Col, Spin } from 'antd'
import Business from '@/views/Public/Business'
import Ptspta2 from '@/views/Public/Ptspta2'


const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class BasicScreen extends Page
{
    
    @observable
    formBlur=false

    @observable 
    visible=false

    @observable 
    dataSource=[]

    @observable 
    datakey=''

    @observable 
    prefix=''

    constructor(props)
    {
        super(props)
        this.model = props.model   
        this.bind = Bind.bind(this)
    }
	Checkboxchange=(type,value)=>{
        console.log(value)
        if(value){
            this.model[type]='0'
        }else{
            this.model[type]='1'
        }
    }
    //按钮事件
    onAdvp_sel= async()=>{
        this.formBlur=true  //已触发表单提交处理
        this.datakey='\\gitp\\advp\\ptslst'
        this.prefix='pts'
        const rtnmsg = await Api.post('gitopn/advp_sel',{data:this.model})
        if(rtnmsg.retcod == SUCCESS)
        {
            this.visible=true;
            this.dataSource=rtnmsg.data[this.datakey];
            Notification.success({message:'数据提交成功!'})
            
        }
        else
        {
            Notification.error({message:'服务端请求失败!'})
        }
        //余下逻辑处理
    }
    onBenp_sel= async()=>{
        this.formBlur=true  //已触发表单提交处理
        this.datakey='\\gitp\\benp\\ptslst'
        this.prefix='pts2'
        const rtnmsg = await Api.post('gitopn/benp_sel',{data:this.model})
        if(rtnmsg.retcod == SUCCESS)
        {
            this.visible=true;
            this.dataSource=rtnmsg.data[this.datakey];
            Notification.success({message:'数据提交成功!'})
            
        }
        else
        {
            Notification.error({message:'服务端请求失败!'})
        }
        //余下逻辑处理
    }
    //onGetref
    onGetref= async()=>{
        const rtnmsg = await Api.post(this.props.extra.inifrm + '/getref', { data: this.model })
		if (rtnmsg.retcod == SUCCESS) {
			// Notification.success({ message: 'cptopn/mtabut/getref数据提交成功!' })
			this.model.ownref = rtnmsg.data.ownref;
		}
		else {
			Notification.error({ message: '请求失败!' })
		}
    }

    onConp_sel= async()=>{
        this.formBlur=true  //已触发表单提交处理
        this.datakey='\\gitp\\conp\\ptslst'
        this.prefix='pts3'
        const rtnmsg = await Api.post('gitopn/conp_sel',{data:this.model})
        if(rtnmsg.retcod == SUCCESS)
        {
            this.visible=true;
            this.dataSource=rtnmsg.data[this.datakey];
            Notification.success({message:'数据提交成功!'})
            
        }
        else
        {
            Notification.error({message:'服务端请求失败!'})
        }
        //余下逻辑处理
    }
    onIssp_sel= async()=>{
        this.formBlur=true  //已触发表单提交处理
        this.datakey='\\gitp\\issp\\ptslst'
        this.prefix='pts4'
        const rtnmsg = await Api.post('gitopn/issp_sel',{data:this.model})
        if(rtnmsg.retcod == SUCCESS)
        {
            this.visible=true;
            this.dataSource=rtnmsg.data[this.datakey];
            Notification.success({message:'数据提交成功!'})
            
        }
        else
        {
            Notification.error({message:'服务端请求失败!'})
        }
        //余下逻辑处理
    }

    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
        if (this.props.flag == true) {
			return <Spin style={{ width: "100%", justifyContent: "center" }} spinning={this.props.flag} />
        }   
        return (
        	<div style={{ position: 'relative' }}>
                <Business wrappedComponentRef={ref => (this.com = ref)} page={this} extra={this.props.extra} steps={this.props.steps} model={this.model} />
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Reference" trn="gitopn" />    
                            </Col>
                            <Col span={11}>
                                <InputItem InputProps={bind("ownref")}  maxLength={16}  desp="Reference" path="/gidgrp/rec/ownref" />
                            </Col>
                            <Col span={2} offset={1}>
                                <Button  type="primary"  onClick={this.onGetref} desp="Get Ref.">
                                    <Label   itext="获取"/>
                                </Button>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Name" trn="gitopn" /> 
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("nam")}  maxLength={40}  desp="Externally Displayed Name to Identify the Contract" path="/gidgrp/rec/nam" />
                            </Col>
                        </Row>
                    </Col>
                </Row> 
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Responsible User" trn="gitopn" /> 
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("usr_nam")}  maxLength={8}  desp="用户ID" path="/gitp//sysmod/usr/nam" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Reserved Contract" trn="gitopn" />  
                            </Col>
                            <Col span={14}>
                                <CheckboxItem defaultChecked={false} InputProps={bind("resflg")} onChange={(value)=>this.Checkboxchange("resflg",value)}  desp="Reserved Contract" path="/gidgrp/rec/resflg" />
                            </Col>
                        </Row>
                    </Col>
                </Row>     
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Applicant  Ref." trn="gitopn" />  
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts1_ref")}  maxLength={16}  desp="参考号" path="/gidgrp/apl/pts/ref" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Add. Amounts" trn="gitopn" />  
                            </Col>
                            <Col span={14}>
                                <CheckboxItem defaultChecked={false} InputProps={bind("aammod_addamtflg")} onChange={(value)=>this.Checkboxchange("aammod_addamtflg",value)}  desp="Add. Amount" path="/gitp/aamp/aammod/addamtflg" />
                            </Col>
                        </Row>
                    </Col>
                </Row>    

                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Guarantee Amount" trn="gitopn" /> 
                            </Col>
                            <Col span={6}>
                                <SelectItem InputProps={bind("max_cur")} code={CodeTable.curtxt}  desp="Currency" path="/gidgrp/cbs/max/cur"/>
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("max_amt")}   desp="Balance" path="/gidgrp/cbs/max/amt" />
                            </Col>
                        </Row>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Open Amount" trn="gitopn" />  
                            </Col>
                            <Col span={6}>
                                <SelectItem InputProps={bind("opn1_cur")} code={CodeTable.curtxt}  desp="Currency" path="/gidgrp/cbs/opn1/cur"/>
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("opn1_amt")}   desp="Balance" path="/gidgrp/cbs/opn1/amt" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts1', url: 'gitopn/aplp_sel', flg: 'C', datakey: '\\gitp\\aplp\\ptslst' }} formBlur={this.formBlur}/>
                    </Col>
                </Row>                 	
      	
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="drpreflg"  trn="gitopn" />
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("gitp_drpreflg")} code={CodeTable.drpreflg}  desp="Type of Request" path="/gitp/drpreflg"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Handling Type" trn="gitopn" />    
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("hndtyp")} code={CodeTable.hndtyp1}  desp="Handling Type" path="/gidgrp/rec/hndtyp"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>  
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Type of Undertaking" trn="gitopn" />  
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("gartyp")} code={CodeTable.typgar}  desp="Type of Undertaking" path="/gidgrp/rec/gartyp"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="境内外对手行代码" trn="gitopn" /> 
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("oppbnk")}  maxLength={12}  desp="境内外对手行代码" path="/gidgrp/rec/oppbnk" />
                            </Col>
                        </Row>
                    </Col>
                </Row>                 	
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="面函标题" trn="gitopn" /> 
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("gitp_lettername")}  maxLength={60}  desp="面函标题" path="/gitp/lettername" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Adv Rcv bank     Ref." trn="gitopn" />    
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts_ref")}  maxLength={16}  desp="参考号" path="/gidgrp/adv/pts/ref" />
                            </Col>
                        </Row>
                    </Col>
                </Row>               	

                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Applicable Rules" trn="gitopn" /> 
                            </Col>
                            <Col span={6}>
                                <SelectItem InputProps={bind("blk_apprul")} code={CodeTable.gitapprul}  desp="Applicable Rules" path="/gidgrp/blk/apprul"/>
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("blk_apprultxt")}  maxLength={35}  desp="Specification of Applicable Rule" path="/gidgrp/blk/apprultxt" />
                            </Col>
                        </Row>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Language of Undertak." trn="gitopn" />    
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("giduil")} code={CodeTable.uiltxt}  desp="Guarantee Language" path="/gidgrp/rec/giduil"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        {/* <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="客户编号" trn="gitopn" /> 
                            </Col>
                            <Col span={10}>
                                <InputItem InputProps={bind("pts_extkey")}  maxLength={16}  desp="客户编号" path="/gidgrp/adv/pts/extkey" />
                            </Col>
                            <Col span={3} offset={1}>
                                <Button  type="primary" icon="search" onClick={this.onAdvp_sel} desp="查询" path="/gitp/advp/sel">
                                    <Label   itext="查询"/>
                                </Button>
                            </Col>
                        </Row> */}
                        <Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts', url: 'gitopn/advp_sel', flg: 'B', datakey: '\\gitp\\advp\\ptslst' }} formBlur={this.formBlur}/>
                    </Col>
                </Row>           	

                {/* <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Language of Undertak." trn="gitopn" />    
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("giduil")} code={CodeTable.uiltxt}  desp="Guarantee Language" path="/gidgrp/rec/giduil"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={19} offset={2}>
                                <TextAreaItem InputProps={bind("pts_adrblk")} desp="SWIFT地址" path="/gidgrp/adv/pts/adrblk"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>               	 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Choice of Text" trn="gitopn" />   
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("gtxinr")}   desp="INR of Generating Text" path="/gidgrp/rec/gtxinr"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="特殊保函类型" trn="gitopn" />   
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("ghd_segtyp")}   desp="特殊保函类型" path="/gidgrp/ghd/segtyp"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>             	

                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="是否分离式保函" trn="gitopn" />  
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("fenlishi")} code={CodeTable.fenlishi}  desp="是否分离式保函" path="/gidgrp/rec/fenlishi"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Order Date" trn="gitopn" />   
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("orddat")}  desp="Date of Customer's Order" path="/gidgrp/rec/orddat" />
                            </Col>
                        </Row>
                    </Col>
                </Row> 

                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Issuance Date" trn="gitopn" />    
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("opndat")}  desp="Valid from" path="/gidgrp/rec/opndat" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Beneficiary  Ref." trn="gitopn" />    
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts2_ref")}  maxLength={16}  desp="参考号" path="/gidgrp/ben/pts/ref" />
                            </Col>
                        </Row>
                    </Col>
                </Row>  	

                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Validity until" trn="gitopn" />   
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("expdat")}  desp="Valid until" path="/gidgrp/rec/expdat" />
                            </Col>
                        </Row>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Unlimited Guarantee" trn="gitopn" />   
                            </Col>
                            <Col span={14}>
                                <CheckboxItem defaultChecked={false} InputProps={bind("expflg")} onChange={(value)=>this.Checkboxchange("expflg",value)}  desp="Unlimited Guarantee" path="/gidgrp/rec/expflg" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        {/* <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="客户编号" trn="gitopn" /> 
                            </Col>
                            <Col span={10}>
                                <InputItem InputProps={bind("pts2_extkey")}  maxLength={16}  desp="客户编号" path="/gidgrp/ben/pts/extkey" />
                            </Col>
                            <Col span={3} offset={1}>
                                <Button  type="primary" icon="search" onClick={this.onBenp_sel} desp="查询" path="/gitp/benp/sel">
                                    <Label   itext="查询"/>
                                </Button>
                            </Col>
                        </Row> */}
                        <Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts2', url: 'gitopn/benp_sel', flg: 'B', datakey: '\\gitp\\benp\\ptslst' }} formBlur={this.formBlur}/>
                    </Col>
                </Row>            	

                {/* <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Unlimited Guarantee" trn="gitopn" />   
                            </Col>
                            <Col span={14}>
                                <CheckboxItem InputProps={bind("expflg")}  desp="Unlimited Guarantee" path="/gidgrp/rec/expflg" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={19} offset={2}>
                                <TextAreaItem InputProps={bind("pts2_adrblk")} desp="SWIFT地址" path="/gidgrp/ben/pts/adrblk"/>
                            </Col>
                        </Row>
                    </Col>
                </Row> */}
                <Row> 
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Unlimited Liability" trn="gitopn" />  
                            </Col>
                            <Col span={14}>
                                <CheckboxItem defaultChecked={false} InputProps={bind("liaflg")} onChange={(value)=>this.Checkboxchange("liaflg",value)}   desp="Unlimited Liability" path="/gidgrp/rec/liaflg" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Our Liability until" trn="gitopn" />  
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("liadat")}  desp="Liability until" path="/gidgrp/rec/liadat" />
                            </Col>
                        </Row>
                    </Col>
                </Row> 

                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Old Reference" trn="gitopn" />    
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("oldref")}  maxLength={16}  desp="Old Reference" path="/gidgrp/rec/oldref" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="保函生效日" trn="gitopn" />    
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("inudat")}  desp="Inure Date" path="/gidgrp/rec/inudat" />
                            </Col>
                        </Row>
                    </Col>
                </Row>                 	

                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Mortgage Flag" trn="gitopn" />    
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("guaflg")} code={CodeTable.guaflg}  desp="Mortgage Flag" path="/gidgrp/rec/guaflg"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="是否对外担保" trn="gitopn" />   
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("fingua")} code={CodeTable.fingua1}  desp="是否对外担保" path="/gidgrp/rec/fingua"/>
                            </Col>
                        </Row>
                    </Col>
                </Row> 
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Test Key Unconfirmity" trn="gitopn" />    
                            </Col>
                            <Col span={14}>
                                <CheckboxItem defaultChecked={false} InputProps={bind("teskeyunc")} onChange={(value)=>this.Checkboxchange("teskeyunc",value)}  desp="Test Key Unconfirmity" path="/gidgrp/rec/teskeyunc" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="跨境人民币保函" trn="gitopn" />   
                            </Col>
                            <Col span={14}>
                                <CheckboxItem defaultChecked={false} InputProps={bind("cmtflg")} onChange={(value)=>this.Checkboxchange("cmtflg",value)}  desp="跨境人民币保函" path="/gidgrp/rec/cmtflg" />
                            </Col>
                        </Row>
                    </Col>
                </Row> 
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="担保类型" trn="gitopn" /> 
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("cfaguatyp")}  maxLength={4}  desp="对外担保类型" path="/gidgrp/rec/cfaguatyp" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            
                        </Row>
                    </Col>
                </Row>  
                            	{/* <Label itext="Confirming Bank" trn="gitopn" />	 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Confirming Bank's Ref.   " trn="gitopn" />    
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts3_ref")}  maxLength={16}  desp="参考号" path="/gidgrp/con/pts/ref" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="LABISSREF " trn="gitopn" />    
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts4_ref")}  maxLength={16}  desp="参考号" path="/gidgrp/iss/pts/ref" />
                            </Col>
                        </Row>
                    </Col>
                </Row>  
                <Row>
                    <Col span={12}>
                        {/* <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="客户编号" trn="gitopn" /> 
                            </Col>
                            <Col span={10}>
                                <InputItem InputProps={bind("pts3_extkey")}  maxLength={16}  desp="客户编号" path="/gidgrp/con/pts/extkey" />
                            </Col>
                            <Col span={3} offset={1}>
                                <Button  type="primary" icon="search" onClick={this.onConp_sel} desp="查询" path="/gitp/conp/sel">
                                    <Label   itext="查询"/>
                                </Button>
                            </Col>
                        </Row> */}
                        <Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts3', url: 'gitopn/conp_sel', flg: 'C', datakey: '\\gitp\\conp\\ptslst' }} formBlur={this.formBlur}/>
                    </Col>
                    <Col span={12}>
                        {/* <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="客户编号" trn="gitopn" /> 
                            </Col>
                            <Col span={10}>
                                <InputItem InputProps={bind("pts4_extkey")}  maxLength={16}  desp="客户编号" path="/gidgrp/iss/pts/extkey" />
                            </Col>
                            <Col span={3} offset={1}>
                                <Button  type="primary" icon="search" onClick={this.onIssp_sel} desp="查询" path="/gitp/issp/sel">
                                    <Label   itext="查询"/>
                                </Button>
                            </Col>
                        </Row> */}
                        <Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts4', url: 'gitopn/issp_sel', flg: 'B', datakey: '\\gitp\\issp\\ptslst' }} formBlur={this.formBlur}/>
                      </Col>
                </Row>  
                            	
                <BottomBtn _this={this} />
                            	
                            	{/* <Button  type="primary"  onClick={this.onGitp_butdif} desp="Diff. syst.text" path="/gitp/butdif">
                            		<Label   itext="vs. S&ystem"/>
                            	</Button>
                            	<Button  type="primary"  onClick={this.onGitp_butdifhis} desp="Diff. prev.text" path="/gitp/butdifhis">
                            		<Label   itext="vs. &History"/>
                            	</Button>
                            	<Button  type="primary"  onClick={this.onGitp_shwgidtxt} desp="Show Text" path="/gitp/shwgidtxt">
                            		<Label   itext="Sho&w Text"/>
                            	</Button>
                            	<Button  type="primary"  onClick={this.onGitp_butgetref} desp="Get Ref." path="/gitp/butgetref">
                            		<Label   itext="Get &Ref."/>
                            	</Button> */}
		</div>
		)
	}
}
