import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table,BottomBtn} from '@/components/Common-Library'
import Api from '@/service/api'
import mGitopn from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import { Row, Col ,Spin} from 'antd'
import Business from '@/views/Public/Business'


const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class OvwpScreen extends Page
{

    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.model = props.model    
        this.bind = Bind.bind(this)
    }
	Checkboxchange=(type,value)=>{
        console.log(value)
        if(value){
            this.model[type]='0'
        }else{
            this.model[type]='1'
        }
    }

    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
        if (this.props.flag == true) {
			return <Spin style={{ width: "100%", justifyContent: "center" }} spinning={this.props.flag} />
		}    
        return (
        	<div style={{ position: 'relative' }}>
                <Business wrappedComponentRef={ref => (this.com = ref)} page={this} extra={this.props.extra} steps={this.props.steps} model={this.model} />
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Contract Reference" trn="gitopn" />   
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("orcref")}  maxLength={35}  desp="Reference of Original Contract" path="/gidgrp/rec/orcref" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="企业海关十位编码" trn="gitopn" /> 
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("bngcod")}  maxLength={10}  desp="企业海关十位编码" path="/gidgrp/rec/bngcod" />
                            </Col>
                        </Row>
                    </Col>
                </Row>  
                            	
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="laborcdat" trn="gitopn" />
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("orcdat")}  desp="Date from Original Contract" path="/gidgrp/rec/orcdat" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="组织机构" trn="gitopn" /> 
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("juscod")}  maxLength={10}  desp="组织机构" path="/gidgrp/rec/juscod" />
                            </Col>
                        </Row>
                    </Col>
                </Row>  
                            	
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Closing Date" trn="gitopn" /> 
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("tenclsdat")}  desp="Tender Closing Date" path="/gidgrp/rec/tenclsdat" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="流动资金贷款利率档次" trn="gitopn" />   
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("cunqii")} code={CodeTable.cunqii}  desp="流动资金�'�款利率档次" path="/gidgrp/rec/cunqii"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Object of Contract" trn="gitopn" />   
                            </Col>
                            <Col span={14}>
                                <TextAreaItem InputProps={bind("blk_covgodsrv")} desp="Object of Contract" path="/gidgrp/blk/covgodsrv"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="利率" trn="gitopn" /></Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("bilvvv")}   desp="利率" path="/gidgrp/rec/bilvvv" />
                            </Col>
                        </Row>
                    </Col>
                </Row>

                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Original Perc./ Rate" trn="gitopn" /> 
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("orcrat")}   desp="Percentage/Rate of Original Contract" path="/gidgrp/rec/orcrat" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Contract Amount " trn="gitopn" /> 
                            </Col>
                            <Col span={6}>
                                <SelectItem InputProps={bind("orccur")}   desp="Currency of Original Contract" path="/gidgrp/rec/orccur"/>
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("orcamt")}   desp="Amount of Original Contract" path="/gidgrp/rec/orcamt" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                            	{/* 	
                            	<Label itext="InDirect Issuance Additional Clause" trn="gitopn" />	 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Original Contract Place" trn="gitopn" />  
                            </Col>
                            <Col span={14}>
                                <TextAreaItem InputProps={bind("blk_orcplc")} desp="Original Contract Place" path="/gidgrp/blk/orcplc"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="A/c for Adv. Paym. Guar." trn="gitopn" /> 
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("acc")}  maxLength={35}  desp="Account for Advance Payment" path="/gidgrp/rec/acc" />
                            </Col>
                        </Row>
                    </Col>
                </Row> 

                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Law of Jurisdiction" trn="gitopn" />  
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("jurlaw")}  maxLength={35}  desp="Law of Jurisdiction" path="/gidgrp/rec/jurlaw" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="labaddinf" trn="gitopn" />  
                            </Col>
                            <Col span={14}>
                                <TextAreaItem InputProps={bind("blk_addinf")} desp="Additional Info" path="/gidgrp/blk/addinf"/>
                            </Col>
                        </Row>
                    </Col>
                </Row> 
                            	
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Place of Jurisdiction" trn="gitopn" />    
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("jurplc")}  maxLength={35}  desp="Place of Jurisdiction" path="/gidgrp/rec/jurplc" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Tender Reference" trn="gitopn" /> 
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("tenref")}  maxLength={35}  desp="Tender Reference" path="/gidgrp/rec/tenref" />
                            </Col>
                        </Row>
                    </Col>
                </Row> 
                            	
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Tender Date" trn="gitopn" />  
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("tendat")}  desp="Tender Date" path="/gidgrp/rec/tendat" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Latest Transmiss. Date" trn="gitopn" />   
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("trmdat")}  desp="Transmit Original Guarantee Latest on" path="/gidgrp/rec/trmdat" />
                            </Col>
                        </Row>
                    </Col>
                </Row> 
                    	
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="手册号码" trn="gitopn" /> 
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("mannum")}  maxLength={12}  desp="手册号码" path="/gidgrp/rec/mannum" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="业务类型" trn="gitopn" /> 
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("ghd_bustyp")}   desp="业务类型" path="/gidgrp/ghd/bustyp"/>
                            </Col>
                        </Row>
                    </Col>
                </Row> 
                            	
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="仓库号" trn="gitopn" />  
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("ghd_wahnum")}  maxLength={20}  desp="仓库号" path="/gidgrp/ghd/wahnum" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="备注" trn="gitopn" />  
                            </Col>
                            <Col span={14}>
                                <TextAreaItem InputProps={bind("ghd_remark")} desp="备注" path="/gidgrp/ghd/remark"/>
                            </Col>
                        </Row>
                    </Col>
                </Row> 
                            	
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Text of Undertaking" trn="gitopn" />  
                            </Col>
                            <Col span={14}>
                                <TextAreaItem InputProps={bind("blk_gidtxt")} desp="Guarantee Text" path="/gidgrp/blk/gidtxt"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Modify Text" trn="gitopn" />  
                            </Col>
                            <Col span={14}>
                                <CheckboxItem defaultChecked={false} InputProps={bind("gitp_gidtxtmodflg")} onChange={(value)=>this.Checkboxchange("gitp_gidtxtmodflg",value)}  desp="Modify Guarantee Text" path="/gitp/gidtxtmodflg" />
                            </Col>
                        </Row>
                    </Col>
                </Row> 
                                  	
                <BottomBtn _this={this} />
                            	
                            	{/* <Button  type="primary"  onClick={this.onGitp_butdif} desp="Diff. syst.text" path="/gitp/butdif">
                            		<Label   itext="vs. S&ystem"/>
                            	</Button>
                            	<Button  type="primary"  onClick={this.onGitp_butdifhis} desp="Diff. prev.text" path="/gitp/butdifhis">
                            		<Label   itext="vs. &History"/>
                            	</Button>
                            	<Button  type="primary"  onClick={this.onGitp_shwgidtxt} desp="Show Text" path="/gitp/shwgidtxt">
                            		<Label   itext="Sho&w Text"/>
                            	</Button>
                            	<Button  type="primary"  onClick={this.onGitp_butgetref} desp="Get Ref." path="/gitp/butgetref">
                            		<Label   itext="Get &Ref."/>
                            	</Button> */}
		</div>
		)
	}
}
