import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Letopn {
    
    @observable
    ownref=""           // \ledgrp\rec\ownref    Reference 

    @observable
    nam=""           // \ledgrp\rec\nam    Externally Displayed Name to Identify the Contract 

    @observable
    lcrtyp=""           // \ledgrp\rec\lcrtyp    Form of Documentary Credit 

    @observable
    usr_nam=""           // \letp\\sysmod\usr\nam    用户ID 

    @observable
    collflg=""           // \ledgrp\rec\collflg    Collateralized L/C 

    @observable
    nom1_cur=""           // \ledgrp\cbs\nom1\cur    Currency 

    @observable
    nom1_amt=""           // \ledgrp\cbs\nom1\amt    Balance 

    @observable
    aammod_addamtflg=""           // \letp\aamp\aammod\addamtflg    Add. Amount 

    @observable
    nomtop=""           // \ledgrp\rec\nomtop    Amount Tolerance - Positive 

    @observable
    nomton=""           // \ledgrp\rec\nomton    Amount Tolerance - Negative 

    @observable
    nomspc=""           // \ledgrp\rec\nomspc    Amount Specification 

    @observable
    ledgrp_preadvflg=""           // \ledgrp\preadvflg    PreAdvice or Notification 

    @observable
    inctrf=""           // \ledgrp\rec\inctrf    Incoming Transfer 

    @observable
    resflg=""           // \ledgrp\rec\resflg    Reserved Contract 

    @observable
    max_cur=""           // \ledgrp\cbs\max\cur    Currency 

    @observable
    max_amt=""           // \ledgrp\cbs\max\amt    Balance 

    @observable
    opndat=""           // \ledgrp\rec\opndat    Date L/C Opened/Issued 

    @observable
    preadvdt=""           // \ledgrp\rec\preadvdt    Date Pre-advised 

    @observable
    shpdat=""           // \ledgrp\rec\shpdat    Shipment Date 

    @observable
    advdat=""           // \ledgrp\rec\advdat    Date Released on 

    @observable
    expdat=""           // \ledgrp\rec\expdat    Date of Expiry 

    @observable
    expplc=""           // \ledgrp\rec\expplc    Place of Expiry 

    @observable
    cnfdet=""           // \ledgrp\rec\cnfdet    Confirmation Instructions from Iss.Bank 

    @observable
    apprul=""           // \ledgrp\rec\apprul    Applicable Rules 

    @observable
    apprultxt=""           // \ledgrp\rec\apprultxt    Other Applicable Rules 

    @observable
    shppar=""           // \ledgrp\rec\shppar    Partial Shipment 

    @observable
    shptrs=""           // \ledgrp\rec\shptrs    Transshipment 

    @observable
    pts5_ref=""           // \ledgrp\ben\pts\ref    参考号 

    @observable
    pts5_extkey=""           // \ledgrp\ben\pts\extkey    客户编号 

    @observable
    pts5_adrblk=""           // \ledgrp\ben\pts\adrblk    SWIFT地址 

    @observable
    pts7_ref=""           // \ledgrp\iss\pts\ref    参考号 

    @observable
    pts7_extkey=""           // \ledgrp\iss\pts\extkey    客户编号 

    @observable
    pts7_adrblk=""           // \ledgrp\iss\pts\adrblk    SWIFT地址 

    @observable
    pts3_ref=""           // \ledgrp\apl\pts\ref    参考号 

    @observable
    pts3_extkey=""           // \ledgrp\apl\pts\extkey    客户编号 

    @observable
    pts3_adrblk=""           // \ledgrp\apl\pts\adrblk    SWIFT地址 

    @observable
    revflg=""           // \ledgrp\rec\revflg    Revolving Flag 

    @observable
    nonban=""           // \ledgrp\rec\nonban    Non-Bank Issuer 

    @observable
    avbwth=""           // \ledgrp\rec\avbwth    Available with 

    @observable
    pts4_extkey=""           // \ledgrp\avb\pts\extkey    客户编号 

    @observable
    pts4_adrblk=""           // \ledgrp\avb\pts\adrblk    SWIFT地址 

    @observable
    avbby=""           // \ledgrp\rec\avbby    Available by [AVBBY0] 

    @observable
    blk_defdet=""           // \ledgrp\blk\defdet    Deferred Payment Details 

    @observable
    blk_dftat=""           // \ledgrp\blk\dftat    Drafts at 

    @observable
    pts6_extkey=""           // \ledgrp\drw\pts\extkey    客户编号 

    @observable
    pts6_adrblk=""           // \ledgrp\drw\pts\adrblk    SWIFT地址 

    @observable
    shpfro=""           // \ledgrp\rec\shpfro    Shipment from 

    @observable
    porloa=""           // \ledgrp\rec\porloa    Port of Loading 

    @observable
    pordis=""           // \ledgrp\rec\pordis    Port of Discharge 

    @observable
    shpto=""           // \ledgrp\rec\shpto    For Transportation to 

    @observable
    blk_shpper=""           // \ledgrp\blk\shpper    Shipment Period 

    @observable
    blk_mixdet=""           // \ledgrp\blk\mixdet    Mixed Payment Details 

    @observable
    blk_preper=""           // \ledgrp\blk\preper    Presentation Period 

    @observable
    blk_feetxt=""           // \ledgrp\blk\feetxt    Additional Details to Code for Charges CHATO 

    @observable
    chato=""           // \ledgrp\rec\chato    Own Charges Borne by 

    @observable
    stacty=""           // \ledgrp\rec\stacty    Country Code for Statistics 

    @observable
    tenmaxday=""           // \ledgrp\rec\tenmaxday    Maximum Tenor 

    @observable
    pts1_ref=""           // \ledgrp\adv\pts\ref    参考号 

    @observable
    pts1_extkey=""           // \ledgrp\adv\pts\extkey    客户编号 

    @observable
    pts1_adrblk=""           // \ledgrp\adv\pts\adrblk    SWIFT地址 

    @observable
    pts_ref=""           // \ledgrp\a2b\pts\ref    参考号 

    @observable
    pts_extkey=""           // \ledgrp\a2b\pts\extkey    客户编号 

    @observable
    pts_adrblk=""           // \ledgrp\a2b\pts\adrblk    SWIFT地址 

    @observable
    cnfins=""           // \ledgrp\rec\cnfins    Confirmation Instructions to 2nd Adv.Bank 

    @observable
    pts2_ref=""           // \ledgrp\apb\pts\ref    参考号 

    @observable
    pts2_extkey=""           // \ledgrp\apb\pts\extkey    客户编号 

    @observable
    pts2_adrblk=""           // \ledgrp\apb\pts\adrblk    SWIFT地址 

    @observable
    aplbnkdirsnd=""           // \ledgrp\rec\aplbnkdirsnd    Send Directly to Applicant's Bank 

    @observable
    pts8_ref=""           // \ledgrp\rmb\pts\ref    参考号 

    @observable
    pts8_extkey=""           // \ledgrp\rmb\pts\extkey    客户编号 

    @observable
    pts8_adrblk=""           // \ledgrp\rmb\pts\adrblk    SWIFT地址 

    @observable
    blk_lcrgod=""           // \ledgrp\blk\lcrgod    Description of Goods 

    @observable
    stagod=""           // \ledgrp\rec\stagod    Goods Code for Statistics 

    @observable
    blk_lcrdoc=""           // \ledgrp\blk\lcrdoc    Documents Required 

    @observable
    blk_adlcnd=""           // \ledgrp\blk\adlcnd    Additional Conditions 

    @observable
    redclsflg=""           // \ledgrp\rec\redclsflg    Red/Green Clause 

    @observable
    blk_insbnk=""           // \ledgrp\blk\insbnk    Instructions to Paying/Accepting/Negotiating Bank 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.ownref=""
            this.nam=""
            this.lcrtyp=""
            this.usr_nam=""
            this.collflg=""
            this.nom1_cur=""
            this.nom1_amt=""
            this.aammod_addamtflg=""
            this.nomtop=""
            this.nomton=""
            this.nomspc=""
            this.ledgrp_preadvflg=""
            this.inctrf=""
            this.resflg=""
            this.max_cur=""
            this.max_amt=""
            this.opndat=""
            this.preadvdt=""
            this.shpdat=""
            this.advdat=""
            this.expdat=""
            this.expplc=""
            this.cnfdet=""
            this.apprul=""
            this.apprultxt=""
            this.shppar=""
            this.shptrs=""
            this.pts5_ref=""
            this.pts5_extkey=""
            this.pts5_adrblk=""
            this.pts7_ref=""
            this.pts7_extkey=""
            this.pts7_adrblk=""
            this.pts3_ref=""
            this.pts3_extkey=""
            this.pts3_adrblk=""
            this.revflg=""
            this.nonban=""
            this.avbwth=""
            this.pts4_extkey=""
            this.pts4_adrblk=""
            this.avbby=""
            this.blk_defdet=""
            this.blk_dftat=""
            this.pts6_extkey=""
            this.pts6_adrblk=""
            this.shpfro=""
            this.porloa=""
            this.pordis=""
            this.shpto=""
            this.blk_shpper=""
            this.blk_mixdet=""
            this.blk_preper=""
            this.blk_feetxt=""
            this.chato=""
            this.stacty=""
            this.tenmaxday=""
            this.pts1_ref=""
            this.pts1_extkey=""
            this.pts1_adrblk=""
            this.pts_ref=""
            this.pts_extkey=""
            this.pts_adrblk=""
            this.cnfins=""
            this.pts2_ref=""
            this.pts2_extkey=""
            this.pts2_adrblk=""
            this.aplbnkdirsnd=""
            this.pts8_ref=""
            this.pts8_extkey=""
            this.pts8_adrblk=""
            this.blk_lcrgod=""
            this.stagod=""
            this.blk_lcrdoc=""
            this.blk_adlcnd=""
            this.redclsflg=""
            this.blk_insbnk=""
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_doccur=""
            this.setmod_docamt=""
            this.setmod_feemac=""
            this.setmod_setmac=""
            this.glemod_glelst=[]
            this.docmod_doclst=[]
            this.trndoc_docpth=""
            this.trndoc_doccod=""
            this.trndoc_cortyp=""
            this.spt_inr=""
    }

} 


export default Letopn