import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Office {
    
    @observable
    bchsta_loginsta=""           // \offp\bchsta\loginsta    机构登陆状态 

    @observable
    inf_infmsg=""           // \offp\inf\infmsg     

    @observable
    infbch_infmsg=""           // \offp\infbch\infmsg     

    @observable
    offp_newpwd=""           // \offp\newpwd    新密码 

    @observable
    offp_newpwdcom=""           // \offp\newpwdcom    新密码确认 

    @observable
    offp_oldpwd=""           // \offp\oldpwd    原密码 

    @observable
    offp_selten=""           // \offp\selten     

    @observable
    syssta_online=""           // \offp\syssta\online    线上清算开关 

    @observable
    syssta_sysdat=""           // \offp\syssta\sysdat    当前系统日期 

    @observable
    syssta_syssta=""           // \offp\syssta\syssta    当前系统状态 

    @observable
    offp_todolst=[]           // \offp\todolst 

    @observable
    offp_todotyp=""           // \offp\todotyp    待办类型 

    @observable
    bch_branch=""           // \sysmod\bch\branch    机构编码 

    @observable
    bch_namcn=""           // \sysmod\bch\namcn    中文名称 

    @observable
    usr_dspnam=""           // \sysmod\usr\dspnam    用户名称 

    @observable
    usr_etyextkey=""           // \sysmod\usr\etyextkey    实体关键字 

    @observable
    usr_nam=""           // \sysmod\usr\nam    用户ID 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.bchsta_loginsta=""
            this.inf_infmsg=""
            this.infbch_infmsg=""
            this.offp_newpwd=""
            this.offp_newpwdcom=""
            this.offp_oldpwd=""
            this.offp_selten=""
            this.syssta_online=""
            this.syssta_sysdat=""
            this.syssta_syssta=""
            this.offp_todolst=[]
            this.offp_todotyp=""
            this.bch_branch=""
            this.bch_namcn=""
            this.usr_dspnam=""
            this.usr_etyextkey=""
            this.usr_nam=""
    }

} 


export default Office